Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2021-09-01 17:44:05|2021-09-01 17:44:05|auto|@finegirl|Created by smart-doc



## 一件事微信对外服务接口
### 微信用户提交材料
**URL:** http://localhost:28080/api/one/thing/create

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 微信用户提交材料

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|object|No comments found.|false|-
createTime|string|创建时间|false|-
createUser|string|创建用户loginName|false|-
createUserId|int64|No comments found.|false|-
createUserName|string|No comments found.|false|-
createUserDeptId|int64|No comments found.|false|-
createUserDeptName|string|No comments found.|false|-
updateTime|string|变更时间|false|-
updateUser|string|变更用户loginName|false|-
updateUserId|int64|No comments found.|false|-
updateUserName|string|No comments found.|false|-
updateUserDeptId|int64|No comments found.|false|-
updateUserDeptName|string|No comments found.|false|-
taskId|string|流程任务id|false|-
processInstanceId|string|流程实例id|false|-
memberId|int64|微信用户ID|false|-
matterid|int64|事项ID|false|-
uploadtime|int32|上传时间|false|-
type|int32|1资料上传 2确认提交|false|-
address|string|邮寄地址|false|-
linkman|string|联系人|false|-
phone|int32|联系电话|false|-
manner|int32|取件方式 0自主取件  1邮寄|false|-
getnum|string|取件码|false|-
number|string|快递单号|false|-
optionContent|string|问答内容|false|-
isRevoke|int32|0是否撤销 1撤销|false|-
siteid|int32|站点ID|false|-
status|int32|审批状态 0未审核 1 审核中 2 审核成功|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:28080/api/one/thing/create --data '{
  "id": "qtxloy",
  "createTime": "2021-09-01 17:44:10",
  "createUser": "n18s1e",
  "createUserId": 69,
  "createUserName": "远航.罗",
  "createUserDeptId": 703,
  "createUserDeptName": "远航.罗",
  "updateTime": "2021-09-01 17:44:10",
  "updateUser": "wip9yl",
  "updateUserId": 883,
  "updateUserName": "远航.罗",
  "updateUserDeptId": 485,
  "updateUserDeptName": "远航.罗",
  "taskId": "74",
  "processInstanceId": "74",
  "memberId": 396,
  "matterid": 41,
  "uploadtime": 683,
  "type": 80,
  "address": "黎桥8号， 江阴， 沪 949973",
  "linkman": "fon85y",
  "phone": 802,
  "manner": 140,
  "getnum": "aumqil",
  "number": "l6xlee",
  "optionContent": "ep6etx",
  "isRevoke": 309,
  "siteid": 143,
  "status": 377
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-

**Response-example:**
```
{
  "code": 405,
  "msg": "yyyka6",
  "data": "8k2np6"
}
```

### 发起流程
**URL:** http://localhost:28080/api/one/thing/start

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 发起流程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
oneThingId|int64|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:28080/api/one/thing/start --data '{
  "oneThingId": 171
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-

**Response-example:**
```
{
  "code": 921,
  "msg": "sm5pty",
  "data": "a2h717"
}
```

## 错误码列表
Error code |Description
---|---
200|ok
400|Bad Request
401|Unauthorized
403|Forbidden
404|Not Found
415|Unsupported Media Type
500|Internal Server Error
502|Bad Gateway
503|Service Unavailable

